import gab.opencv.*;
import java.awt.*;
import processing.video.*;
Capture capImg;
OpenCV opencv;
PImage img;

void setup() {
  size(640, 480);
  //size(960, 540);  // for Mac
  String[] cameras = Capture.list();
  println("Available cameras:");
  for (int i = 0; i < cameras.length; i++) {
    println(i, cameras[i]);
  }
  capImg = new Capture(this, width, height, cameras[0]);
  //capImg = new Capture(this, width, height, cameras[3]);  // for Surface PC
  capImg.start();
  opencv = new OpenCV(this, width, height);
  opencv.loadCascade(OpenCV.CASCADE_FRONTALFACE);
  strokeWeight(5);
  stroke(255, 0, 0);
  noFill();
  img = loadImage("face.png");
}

void captureEvent(Capture capImg) {
  capImg.read();
}

void draw() {
  opencv.loadImage(capImg);
  image(capImg, 0, 0);
  Rectangle[] faces = opencv.detect();
  for (int i = 0; i < faces.length; i++) {
    if (i == 0) {
      image(img, faces[i].x, faces[i].y, faces[i].width, faces[i].height );
    } else {
      rect(faces[i].x, faces[i].y, faces[i].width, faces[i].height);
    }
  }
}
