import gab.opencv.*;
import java.awt.*;
import processing.video.*;

Movie movie;
OpenCV opencv;
PImage img;

void setup() {
  size(960, 540);
  movie = new Movie(this, "face_movie.mov");
  movie.loop();
  frameRate(30);
  opencv = new OpenCV(this, width, height);
  opencv.loadCascade(OpenCV.CASCADE_FRONTALFACE);
  strokeWeight(5);
  stroke(255, 0, 0);
  noFill();
  img = loadImage("face.png");
}

void movieEvent(Movie movie) {
  movie.read();
}

void draw() {
  opencv.loadImage(movie);
  image(movie, 0, 0);
  Rectangle[] faces = opencv.detect();
  for (int i = 0; i < faces.length; i++) {
    image(img, faces[i].x, faces[i].y, faces[i].width, faces[i].height );
    rect(faces[i].x, faces[i].y, faces[i].width, faces[i].height);
  }
}
